SystemOrganization addCategory: #ConfigurationOfPetitPreprocessor!

Object subclass: #ConfigurationOfPetitPreprocessor
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfPetitPreprocessor'!

!ConfigurationOfPetitPreprocessor methodsFor: 'as yet unclassified' stamp: 'guillaumelarcheveque 6/14/2012 10:36'!
baseline10: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec author: 'Guillaume Larcheveque'.
		spec description: 'work on Pharo 1.4.x'.
		spec repository: 'http://ss3.gemstone.com/ss/PetitPreprocessor'.
		spec 
			package: 'PetitPreprocessor'.
		spec project: 'PetitParser' with: [
				spec
					className: 'ConfigurationOfPetitParser';
					file: 'ConfigurationOfPetitParser';
					version: '1.5';
					repository: 'http://source.lukas-renggli.ch/petit' ].
	]! !

!ConfigurationOfPetitPreprocessor methodsFor: 'as yet unclassified' stamp: ''!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !

!ConfigurationOfPetitPreprocessor methodsFor: 'as yet unclassified' stamp: ''!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'First release'.
		spec author: 'Guillaume Larcheveque'.
		spec timestamp: '14/6/2012 9:11'.
		spec project: 'PetitPreprocessor' with: '1.0'.
		spec 
			package: 'PetitPreprocessor' with: 'PetitPreprocessor-guillaumelarcheveque.2'.]! !
